summaryrefslogtreecommitdiff
path: root/pcr/perl-iptables-chainmgr
diff options
context:
space:
mode:
authoraurelien <aurelien@cwb.io>2012-11-22 10:59:05 +0100
committeraurelien <aurelien@cwb.io>2012-11-22 10:59:05 +0100
commitf97ff910471fb3ae2c8ea69befecaae8cbf6dbea (patch)
tree297ea34dee3ae68d71ca4a5175d1d478ce69be76 /pcr/perl-iptables-chainmgr
parent9cce2f098d5d77a2748952e1221127b9f0614566 (diff)
+ barnyard2 perl-iptables-parse perl-unix-syslog psad pulledpork snort vuurmuur xtables-addons
Diffstat (limited to 'pcr/perl-iptables-chainmgr')
-rw-r--r--pcr/perl-iptables-chainmgr/PKGBUILD22
1 files changed, 22 insertions, 0 deletions
diff --git a/pcr/perl-iptables-chainmgr/PKGBUILD b/pcr/perl-iptables-chainmgr/PKGBUILD
new file mode 100644
index 000000000..e45a1faf3
--- /dev/null
+++ b/pcr/perl-iptables-chainmgr/PKGBUILD
@@ -0,0 +1,22 @@
+# Contributor: Weirch Sodora <sodora@gmail.com>
+# Maintainer : Parabola GNU / Linux-libre Aurelien Desbrieres <aurelien@cwb.IO>
+
+pkgname=perl-iptables-chainmgr
+pkgver=1.2
+pkgrel=1
+pkgdesc="IPTables::ChainMgr - Perl extension for manipulating iptables and ip6tables policies"
+arch=('i686' 'x86_64')
+url="http://search.cpan.org/~mrash/IPTables-ChainMgr/"
+license=('GPL' 'PerlArtistic')
+depends=('perl' 'iptables' 'perl-iptables-parse>=0.9' 'perl-netaddr-ip>=4.0')
+options=('!emptydirs')
+source=(http://search.cpan.org/CPAN/authors/id/M/MR/MRASH/IPTables-ChainMgr-$pkgver.tar.gz)
+
+build() {
+ cd $startdir/src/IPTables-ChainMgr-$pkgver
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+ make install DESTDIR=$startdir/pkg || return 1
+ find $startdir/pkg -name '.packlist' -delete
+ find $startdir/pkg -name '*.pod' -delete
+}